Subject: bug#5282: Defaults for grep interface

From: Jon Strait <[email-masked]>
Date: Tue, 29 Dec 2009 07:22:28 +0100

Many things here are inconsistent in the grep interface. 

The interactive lgrep and rgrep commands have a default using the basic 
RE format, while the grep command's default uses an extended RE format. 

The lgrep command's doc string says that given two 'C-u' prefixes, you 
can edit and directly run 'grep-command', (shouldn't this really be 
'grep-template' ?)  This didn't seem to really work at all, but if it 
did, how would it be different than using the interactive 'grep' directly?

The default grep-find-template (for rgrep) doesn't use the  required <D> 
place holder at all, and then rgrep changes into the 'base directory' 
before running the command in the context of the current directory, per 
the default grep-find-template.

GNU Emacs 23.1.1